"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const gradient_string_1 = __importDefault(require("gradient-string"));
/**
 * Generates the function comment for the given function body.
 *
 * @return {void} No return value.
 */
function intro() {
    const asciiArt = `
  ********************************************************************
  ********************************************************************
  ********************************************************************
  **                ,----------------,              ,---------,     **
  **           ,-----------------------,          ,"        ,"|     **
  **         ,"                      ,"|        ,"        ,"  |     **
  **        +-----------------------+  |      ,"        ,"    |     **
  **        |  .-----------------.  |  |     +---------+      |     **
  **        |  |                 |  |  |     | -==----'|      |     **
  **        |  |  W a r p y .    |  |  |     |         |      |     **
  **        |  |  Bad command or |  |  |/----|'---=    |      |     **
  **        |  |  tgpt:>_        |  |  |   ,/|==== ooo |      ;     **
  **        |  |                 |  |  |  // |(((( [33]|    ,"      **
  **        |  '-----------------'  |,' .;'| |((((     |  ,"        **
  **        +-----------------------+  ;;  | |         |,"          **
  **            /_)______________(_/  //'  | +---------+            **
  **    ___________________________/___  ,                          **
  **    /  oooooooooooooooo  .o.  oooo /,   ,'----------- ,'        **
  **    / ==ooooooooooooooo==.o.  ooo= //   ,'-{)B     ,'           **
  **    /_==__==========__==_ooo__ooo=_/'   /___________,'          **
  **    '-----------------------------'                             **
  ********************************************************************
  ********************************************************************
  ********************************************************************`;
    const coloredAscii = (0, gradient_string_1.default)("magenta", "cyan").multiline(asciiArt);
    const usageText = `
  ${(0, gradient_string_1.default)("cyan", "pink")("********************")} Welcome to ${chalk_1.default.greenBright("terminalGPT")} ${(0, gradient_string_1.default)("cyan", "pink")("************************")}
  ${coloredAscii}

  ${chalk_1.default.cyanBright("Created by @jucasoliveira: https://github.com/jucasoliveira")}

  ${chalk_1.default.cyanBright("TerminalGPT will be maintained by Warpi as Jan 2024. You can check other OS initiavies at:")}

  ${chalk_1.default.blueBright("https://github.com/warpy-ai")}


  ${chalk_1.default.yellowBright("usage:")}
    TerminalGPT will ask you to add your OpenAI API key. Don't worry, it will be saved(encrypted) on your machine locally.

    Terminal will prompt you to enter a message. Type your message and press enter.
    Terminal will then prompt you to enter a response. Type your response and press enter.

    To exit, type "${chalk_1.default.redBright("exit")}" and press enter.

    # Commands
    ${chalk_1.default.yellowBright("exit")} - Exit the program
    ${chalk_1.default.yellowBright("delete")} - Delete the saved API key
    ${chalk_1.default.yellowBright("chat")} - Start a chat
    ${chalk_1.default.yellowBright("--markdown")} - Show the response in markdown


  `;
    // eslint-disable-next-line no-undef
    console.log(usageText);
}
exports.default = intro;
